--[[
  Stub anything to make the game work with tiny instead/plainstead
]]

require "click"

-- core instead
if std.rawget(_G, "LANG") == nil then
  std.rawset(_G, "LANG", 'en');
end;

if not std.savepath then
  std.savepath = instead.savepath
end;

if not instead.autosave then
  instead.autosave = function() end;
end;

if not instead.ticks then
  instead.ticks = function() return 1; end; -- Should be good enough for this game
end;

-- lib/fading
fading = obj {
  nam = '@fading';
  enabled = false;
};

-- lib/smoke
function enableSmoke(image, position)
end;
  
-- lib/decor
function D(n)
  
end;

stat = obj;

-- diretheme
diretheme = obj {
  nam = '@diretheme',
  get_screen = function() return 800,600; end;
  get_scaled_screen = function() return 800,600; end;
  get_scale = function() return 1; end;
  get_inches = function() return 14; end;
  set_theme = function() end;
}
